Last Comment Bug 478800 - Drop-down 'View:' menu displays 'undefined' when you try and use Tags, or Custom Views
: Drop-down 'View:' menu displays 'undefined' when you try and use Tags, or Cus...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.1
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Zane U. Ji
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-16 17:00 PST by Ben
Modified: 2009-11-02 15:30 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Don't mistake an attribute for a property [Checkin: Comment 6] [comm-1.9.1 Checkin: Comment 7] (928 bytes, patch)
2009-10-26 09:31 PDT, Zane U. Ji
mnyromyr: review+
mnyromyr: superreview+
mnyromyr: approval‑seamonkey2.0.1+
Details | Diff | Review

Description Ben 2009-02-16 17:00:26 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b3pre) Gecko/20081202 SeaMonkey/2.0a2
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b3pre) Gecko/20081202 SeaMonkey/2.0a2

If you try and use any of the following View message options: Tags, Custom Views


(View menu, then Messages submenu) or the drop-down view menu, and then close e-mail client, then re-open seamonkeys e-mail client, the drop-down 'View:' menu displays the word 'undefined'

It should also be noted, that if you choose any of the Tags (e.g. 'Important'), the drop-down 'View:' menu will immediately display the tag you chose, e.g.
'Important'

If you then close the e-mail client, and then re-open the e-mail client, the drop-down 'View:' menu will then display the word 'undefined'

Unlike the Custom Views option which will make the drop-down 'View:' menu display the word 'undefined' immediately.


If you make a New personal Custom View, and give a certain criteria, then choose to use your custom view, it will work, even though the 'View:'
drop-down menu displays the word 'undefined'.


The only e-mail that will display is the one that meets the custom view requirement i set, even though the drop-down       

'View:' menu displays the word 'undefined' in it.

Reproducible: Always

Steps to Reproduce:
To Reproduce Symptoms:

1. Send yourself an e-mail that has the words (for example) 'i really like technicians because they know a lot' in the subject line.

2. For your 'Inbox' Folder, create a new custom view called 'Bens Custom' from the drop-down 'View:' menu, and use the following criteria:

Goto Customize, then goto New, and create the following:



Drop-down menu 1:     Drop-down menu 2:     Data Entry Field:

Subject               Contains              technicians



3. goto the drop-down 'View:' menu, then to the 'Custom Views' sub-menu, and choose 'Bens Custom'

4. Quit seamonkey e-mail client (or seamonkey completely), and re-enter seamonkeys e-mail client


Actual Results:  
A. The drop-down 'View:' menu will display 'undefined' in it.
B. Only the E-mail that has the word 'technicians' in the subject line is displayed even though the drop-down 'View:' menu displays the word 'undefined'

Expected Results:  
Expected the drop-down 'View:' menu to show the name of the chosen Tag, or the Custom View options name (including Newly Created Custom Views)

Sometimes if you click a couple of times (sometimes between 1 to 31 times) between the e-mail Folder you set the View Criteria up on and the Inbox and/or Drafts folder with the mouse, the drop-down 'View:' menu might suddenly correctly
display the actual name of the Custom View when you have clicked on the e-mail folder that you decided to set the custom view up on (in this case E-mail folder = 'Inbox', Custom View  = 'Bens Custom').

NOTE: Not sure wether this constitutes a potential privacy and/or a security
      issue. User may want to use view message filter to filter out certain
      e-mails so as to not have other people in public areas see certain
      e-mail addresses or names of people, but does not mind if public can see
      certain e-mail addresses. E-mail names and addressess could have
      sensitive information not allowed to be seen by others.
Comment 1 Brandon Sterne (:bsterne) 2009-02-16 20:07:19 PST
I doubt this needs to remain a hidden security bug.  The |undefined| being displayed is probably from JavaScript land and is probably not a memory safety problem.  I'll let someone else confirm, though.
Comment 2 Philip Chee 2009-02-23 04:21:00 PST
Confirming on SeaMonkey trunk.
Comment 3 Zane U. Ji 2009-10-25 08:37:28 PDT
I found out how to solve the problem. However, I need more days to test my patch.
Comment 4 Zane U. Ji 2009-10-26 09:31:35 PDT
Created attachment 408404 [details] [diff] [review]
Don't mistake an attribute for a property
[Checkin: Comment 6]
[comm-1.9.1 Checkin: Comment 7]
Comment 5 Karsten Düsterloh 2009-10-26 11:22:08 PDT
Comment on attachment 408404 [details] [diff] [review]
Don't mistake an attribute for a property
[Checkin: Comment 6]
[comm-1.9.1 Checkin: Comment 7]

r+moa=me
Both bug and patch are SeaMonkey only, thus no need to bother the TB folks. :)

Thanks for patching this!
Comment 6 Serge Gautherie (:sgautherie) 2009-11-02 15:07:00 PST
Comment on attachment 408404 [details] [diff] [review]
Don't mistake an attribute for a property
[Checkin: Comment 6]
[comm-1.9.1 Checkin: Comment 7]


http://hg.mozilla.org/comm-central/rev/436dd822f88b
Comment 7 Ian Neal 2009-11-02 15:29:56 PST
Comment on attachment 408404 [details] [diff] [review]
Don't mistake an attribute for a property
[Checkin: Comment 6]
[comm-1.9.1 Checkin: Comment 7]

http://hg.mozilla.org/releases/comm-1.9.1/rev/050bea4b1e87

Note You need to log in before you can comment on or make changes to this bug.